#!/usr/bin/env python


import os
from datetime import datetime, timedelta
from glob import glob
if __name__ == '__main__':


	startdate = datetime(2006,11,01,00)
        enddate   = datetime(2006,12,01,00)
	dt        = timedelta(hours=1)
	inDir     = '/discover/nobackup/projects/gmao/osse2/pub/c1440_NR/OBS/A-CCP/GPM/LevelB'
	outDir    = '/discover/nobackup/projects/gmao/osse2/pub/c1440_NR/OBS/A-CCP/SS450/LevelB'
        while startdate < enddate:
		dPath  = startdate.strftime('Y%Y/M%m/D%d')
		inPath = '{}/{}'.format(inDir,dPath)
		isotime = startdate.strftime('%Y%m%d_%H00z')
        	infile = glob('{}/ss450*{}*'.format(inPath,isotime))
		print 'moving file ',infile
		outpath = '{}/{}'.format(outDir,dPath)
		if not os.path.exists(outpath):
			os.makedirs(outpath)
		for filepath in infile:
			filename = os.path.basename(filepath)
			outfile  = '{}/{}'.format(outpath,filename)
			os.rename(filepath,outfile)
		startdate += dt

